summaryrefslogtreecommitdiff
path: root/python/pyside2
diff options
context:
space:
mode:
authorChristoph Willing <chris.willing@linux.com>2021-05-19 20:29:08 +1000
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2021-05-19 18:39:56 +0700
commita9c9429ff3f1a13a1c2d43c6814e895040048708 (patch)
tree92014526481402a73180d82283617d0b04e4a981 /python/pyside2
parent60996efaa10257efbc2738969f0a4421ba2ca46d (diff)
downloadslackbuilds-a9c9429ff3f1a13a1c2d43c6814e895040048708.tar.gz
python/pyside2: Added. Required for latest FreeCAD
Signed-off-by: Christoph Willing <chris.willing@linux.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python/pyside2')
-rw-r--r--python/pyside2/README2
-rw-r--r--python/pyside2/pyside2.SlackBuild102
-rw-r--r--python/pyside2/pyside2.info10
-rw-r--r--python/pyside2/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/python/pyside2/README b/python/pyside2/README
new file mode 100644
index 0000000000..d34ad9f006
--- /dev/null
+++ b/python/pyside2/README
@@ -0,0 +1,2 @@
+PySide2 is the official Python module from the Qt for Python project,
+which provides access to the complete Qt 5.12+ framework.
diff --git a/python/pyside2/pyside2.SlackBuild b/python/pyside2/pyside2.SlackBuild
new file mode 100644
index 0000000000..a910eac3a7
--- /dev/null
+++ b/python/pyside2/pyside2.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for pyside2
+
+# Copyright 2021 Christoph Willing Brisbane, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pyside2
+SRCNAM=pyside-setup-opensource-src
+VERSION=${VERSION:-5.15.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION/sources/$PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ export CC=/usr/bin/clang
+ export CXX=/usr/bin/clang++
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DPYTHON_EXECUTABLE=/usr/bin/python3 \
+ -DBUILD_TESTS=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING doc/faq.rst doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/pyside2/pyside2.info b/python/pyside2/pyside2.info
new file mode 100644
index 0000000000..d6a570625d
--- /dev/null
+++ b/python/pyside2/pyside2.info
@@ -0,0 +1,10 @@
+PRGNAM="pyside2"
+VERSION="5.15.2"
+HOMEPAGE="https://wiki.qt.io/Qt_for_Python"
+DOWNLOAD="https://download.qt.io/official_releases/QtForPython/pyside2/PySide2-5.15.2-src/pyside-setup-opensource-src-5.15.2.tar.xz"
+MD5SUM="e9bb6b57d39eb6cf1720cd3589a8b76a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="shiboken2"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@linux.com"
diff --git a/python/pyside2/slack-desc b/python/pyside2/slack-desc
new file mode 100644
index 0000000000..afe49683d8
--- /dev/null
+++ b/python/pyside2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pyside2: pyside2 (Python bindings for Qt5)
+pyside2:
+pyside2: PySide2 is the official Python module from the Qt for Python project,
+pyside2: which provides access to the complete Qt 5.12+ framework.
+pyside2:
+pyside2:
+pyside2:
+pyside2:
+pyside2:
+pyside2:
+pyside2: